Package com.orbbec.obsensor

## Class ColorFrame

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.VideoFrame
      - - com.orbbec.obsensor.ColorFrame

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class ColorFrame
    extends VideoFrame

Color stream data frame

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

### Methods inherited from class com.orbbec.obsensor.VideoFrame

`getHeight, getPixelAvailableBitSize, getWidth`

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`